<template>
  <v-form>
    <v-btn
        class="mx-2"
        fab
        dark
        color="red"
        @click="deleteItem"
    >
      <v-icon dark>
        mdi-minus
      </v-icon>
    </v-btn>
  </v-form>
</template>

<script>
export default {
  name: "Delete",
  props: {
    updateid: Number,
    structure: Object,
    url: String
  },
  data() {
    return {
      items: {}
    }
  },
  methods: {
    deleteItem(){
      this.$axios.delete(`/${this.url}/` + this.updateid)
      .then((response) => {
        console.log(response.data)
        this.items = this.items - response.data
      })
    }
  }
}
</script>

<style scoped>

</style>